package com.pj.project.app_menu;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

/**
 * Service: app_menu -- app菜单管理
 * @author qzy 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class AppMenuService extends ServiceImpl<AppMenuMapper, AppMenu> implements IService<AppMenu>{

	/** 底层 Mapper 对象 */
	@Autowired
	AppMenuMapper appMenuMapper;

	/** 增 */
	void add(AppMenu a){
		save(a);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(AppMenu a){
		updateById(a);

	}

	/** 查 */
	AppMenu getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<AppMenu> getList(SoMap so) { 
		return appMenuMapper.getList(so);	
	}


}
